from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_paginated()
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getPaginated();
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getPaginated();
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetPaginated(context.TODO(), &junction.GetPaginatedLabTestsRequest{})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"data": [
{
"lab_test": {
"name": "Lipids Panel",
"description": "Cholesterol test",
"sample_type": "dried blood spot",
"method": "testkit",
"price": 10,
"is_active": true,
"lab": {
"slug": "USSL",
"name": "US Specialty Lab",
"first_line_address": "123 Main St",
"city": "New York",
"zipcode": "10001"
},
"markers": [
{
"name": "Thyroid Stimulating Hormone",
"slug": "tsh",
"description": ""
}
]
}
}
],
"next_cursor": null
}
Get Available Tests
Retrieve lab test via the Junction API. Requires authentication with your team API key.
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_paginated()
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getPaginated();
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getPaginated();
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetPaginated(context.TODO(), &junction.GetPaginatedLabTestsRequest{})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"data": [
{
"lab_test": {
"name": "Lipids Panel",
"description": "Cholesterol test",
"sample_type": "dried blood spot",
"method": "testkit",
"price": 10,
"is_active": true,
"lab": {
"slug": "USSL",
"name": "US Specialty Lab",
"first_line_address": "123 Main St",
"city": "New York",
"zipcode": "10001"
},
"markers": [
{
"name": "Thyroid Stimulating Hormone",
"slug": "tsh",
"description": ""
}
]
}
}
],
"next_cursor": null
}
from junction import Junction
from junction.environment import JunctionEnvironment
client = Junction(
api_key="YOUR_API_KEY",
environment=JunctionEnvironment.SANDBOX,
)
data = client.lab_tests.get_paginated()
import { JunctionClient, JunctionEnvironment } from "@junction-api/sdk";
const client = new JunctionClient({
apiKey: "YOUR_API_KEY",
environment: JunctionEnvironment.Sandbox,
});
const data = await client.labTests.getPaginated();
import com.junction.api.Junction;
import com.junction.api.core.Environment;
Junction client = Junction.builder()
.apiKey("YOUR_API_KEY")
.environment(Environment.SANDBOX)
.build();
var data = client.labTests().getPaginated();
import (
"context"
junction "github.com/junction-api/junction-go"
"github.com/junction-api/junction-go/client"
"github.com/junction-api/junction-go/option"
)
c := client.NewClient(
option.WithApiKey("YOUR_API_KEY"),
option.WithBaseURL(junction.Environments.Sandbox),
)
response, err := c.LabTests.GetPaginated(context.TODO(), &junction.GetPaginatedLabTestsRequest{})
if err != nil {
return err
}
fmt.Printf("Received data %s\n", response)
{
"data": [
{
"lab_test": {
"name": "Lipids Panel",
"description": "Cholesterol test",
"sample_type": "dried blood spot",
"method": "testkit",
"price": 10,
"is_active": true,
"lab": {
"slug": "USSL",
"name": "US Specialty Lab",
"first_line_address": "123 Main St",
"city": "New York",
"zipcode": "10001"
},
"markers": [
{
"name": "Thyroid Stimulating Hormone",
"slug": "tsh",
"description": ""
}
]
}
}
],
"next_cursor": null
}
Authorizations
Vital Team API Key
Query Parameters
The cursor for fetching the next page, or null to fetch the first page.
Filter on whether auto-generated lab tests created by Vital, manually created lab tests, or all lab tests should be returned.
auto, manual, all Filter by the slug of the lab for these lab tests.
Filter by the collection method for these lab tests. The method used to perform a lab test. ℹ️ This enum is non-exhaustive.
testkit, walk_in_test, at_home_phlebotomy, on_site_collection Filter by the status of these lab tests. ℹ️ This enum is non-exhaustive.
active, pending_approval, inactive Filter to only include lab tests containing these marker IDs.
Filter to only include lab tests containing these provider IDs.
Filter by the name of the lab test (a case-insensitive substring search).
price, created_at, updated_at asc, desc Was this page helpful?